/*
 *  Copyright (C) 2009  Thadeu Lima de Souza Cascardo <cascardo@holoscopio.com>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License along
 *  with this program; if not, write to the Free Software Foundation, Inc.,
 *  51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 */


#ifndef ATOMPUB_CONTENT_H
#define ATOMPUB_CONTENT_H

#include <sys/types.h>

typedef struct _atom_content AtomContent;

AtomContent * atom_content_new (char *, char *, size_t);
AtomContent * atom_content_new_src (char *, char *);
AtomContent * atom_content_new_data_len (char *, size_t);
void atom_content_delete (AtomContent *);
char * atom_content_type (AtomContent *);
void atom_content_type_set (AtomContent *, char *);
char * atom_content_src (AtomContent *);
void atom_content_src_set (AtomContent *, char *);
void atom_content_content (AtomContent *, char **, size_t *);
void atom_content_content_set (AtomContent *, char *, size_t);
void atom_content_string (AtomContent *, char **, size_t *);

#endif
